> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rubens-products/rubens-configurator/customisation/change-floor-material.md).

# Change floor material

This guide provides instructions on how to change the floor material in the Rubens Configurator using the Roomle Configurator API. The API allows you to modify the environment of the 3D configurator, including changing the floor material dynamically.

Firstly you have to embed the Rubens configurator in you environment, how you can do this you can find here: [Getting started](/rubens/rubens-products/rubens-configurator/getting-started.md)

## Code Sandbox

If you want to just copy and paste an existing code example or want to have a quick overview you can check this [Code Sandbox.](https://codesandbox.io/p/sandbox/rubens-api-functions-overview-forked-983rgk)

## Change the floor color

For changing the floor color you can use the method `RoomleConfigurator.extended.changeFloorMaterial`, if you want to know more about our api functions you can have a look in our integration guide: [Trigger API functions](/rubens/rubens-products/rubens-configurator/integration/call-3d-scene-functions.md)

Here is a small code example how this could look in your code:

```typescript
const configurator = await RoomleConfiguratorApi.create(
    configuratorId,
    domElement,
    {}
  );
  // load an item
  await configurator.ui.loadObject("usm:frame");

  // change material of floor
  configurator.extended.changeFloorMaterialById("roomle_floor:DresdenEiche");
```

In this example we firstly initilise our configurator and load an item, afterwards we change the floor material.

## Floor material id's

There are different floor materials which can be set:

* roomle\_floor:DresdenEiche
* roomle\_floor:Palma
* roomle\_floor:Elba
* roomle\_floor:Manacor
* roomle\_floor:KernEiche
* roomle\_floor:KieferScandic
* roomle\_floor:EicheHabsburg
* roomle\_floor:FuldaKiefer
* roomle\_floor:Ashton
* roomle\_floor:EicheLondon
* roomle\_floor:Ibiza

## Helpful links:

Rubens SDK API functions: [RoomleConfigurator.default](/rubens/rubens-sdk/rubens-sdk-reference/classes/configurator_core_src_roomle_configurator.default.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rubens-products/rubens-configurator/customisation/change-floor-material.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
